Bug 81605 - Fix the code generator to support [ImplementedAs] for attributes
Summary: Fix the code generator to support [ImplementedAs] for attributes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kentaro Hara
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 18:08 PDT by Chris Rogers
Modified: 2012-03-23 08:59 PDT (History)
7 users (show)

See Also:


Attachments
Patch (16.71 KB, patch)
2012-03-21 18:23 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff
patch for landing (16.68 KB, patch)
2012-03-23 07:35 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rogers 2012-03-19 18:08:48 PDT
An example where this would be useful:

readonly attribute [ImplementedAs=releaseTime] AudioParam release; // in Seconds

since "release" is a reserved word in Objective-C
Comment 1 Kentaro Hara 2012-03-21 18:23:36 PDT
Created attachment 133160 [details]
Patch
Comment 2 Adam Barth 2012-03-22 10:10:28 PDT
Comment on attachment 133160 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=133160&action=review

> Source/WebCore/bindings/scripts/test/TestObj.idl:219
>          [ImplementedAs=banana] void orange();
> +        attribute [ImplementedAs=banana] int strawberry;

I would have made the ImplementedAs different for these two, but it doesn't really matter.
Comment 3 Kentaro Hara 2012-03-23 07:35:19 PDT
Created attachment 133483 [details]
patch for landing
Comment 4 WebKit Review Bot 2012-03-23 08:46:41 PDT
Comment on attachment 133483 [details]
patch for landing

Clearing flags on attachment: 133483

Committed r111865: <http://trac.webkit.org/changeset/111865>